GetPipelineStage
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetPipelineStage \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"pipelineStageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetPipelineStage"
payload = { "pipelineStageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({pipelineStageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetPipelineStage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pipelineStageId": "<string>",
"name": "<string>",
"position": "<string>",
"colorRed": 123,
"colorGreen": 123,
"colorBlue": 123,
"isUnreviewed": true,
"isAccepted": true,
"isRejected": true,
"autoInformCrewByEmail": true,
"candidateStatus": "PIPELINE_STAGE_CANDIDATE_STATUS_UNSPECIFIED"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}rpc.v1.OrganizationService
GetPipelineStage
Get a single pipeline stage by its ID
POST
/
rpc
/
rpc.v1.OrganizationService
/
GetPipelineStage
GetPipelineStage
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
Example:
1
Define the timeout, in ms
Example:
1000
Body
application/json
Request for getting a single pipeline stage
ID of the pipeline stage to retrieve
Response
Success
Response for a single pipeline stage
ID of the pipeline stage
Name of the stage
Position of the stage within the pipeline
RGB color components
green color component
blue color component
Flags indicating the stage type
accepted type
rejected type
toggle auto information a crew by email about rejected application
what happens to candidates in this stage
Available options:
PIPELINE_STAGE_CANDIDATE_STATUS_UNSPECIFIED, PIPELINE_STAGE_CANDIDATE_STATUS_IN_PROGRESS, PIPELINE_STAGE_CANDIDATE_STATUS_COMPLETED, PIPELINE_STAGE_CANDIDATE_STATUS_REJECTED